# Accounts Reset Password Create POST /api/v1/iam/accounts/reset-password/ Content-Type: application/json Reset password, given the signature and timestamp from the link. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/iam/accounts-reset-password-create ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/iam/accounts/reset-password/: post: operationId: accounts-reset-password-create summary: Accounts Reset Password Create description: Reset password, given the signature and timestamp from the link. tags: - subpackage_iam responses: '200': description: '' content: application/json: schema: $ref: '#/components/schemas/ResetPassword' requestBody: content: application/json: schema: $ref: '#/components/schemas/ResetPassword' components: schemas: ResetPassword: type: object properties: user_id: type: string timestamp: type: integer signature: type: string password: type: string required: - user_id - timestamp - signature - password title: ResetPassword ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/iam/accounts/reset-password/" payload = { "user_id": "user_987654321", "timestamp": 1712345678, "signature": "a3f5d9e8b7c6d4e2f1a0b9c8d7e6f5a4", "password": "NewSecureP@ssw0rd!" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/iam/accounts/reset-password/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"user_id":"user_987654321","timestamp":1712345678,"signature":"a3f5d9e8b7c6d4e2f1a0b9c8d7e6f5a4","password":"NewSecureP@ssw0rd!"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/iam/accounts/reset-password/" payload := strings.NewReader("{\n \"user_id\": \"user_987654321\",\n \"timestamp\": 1712345678,\n \"signature\": \"a3f5d9e8b7c6d4e2f1a0b9c8d7e6f5a4\",\n \"password\": \"NewSecureP@ssw0rd!\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/iam/accounts/reset-password/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"user_id\": \"user_987654321\",\n \"timestamp\": 1712345678,\n \"signature\": \"a3f5d9e8b7c6d4e2f1a0b9c8d7e6f5a4\",\n \"password\": \"NewSecureP@ssw0rd!\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/iam/accounts/reset-password/") .header("Content-Type", "application/json") .body("{\n \"user_id\": \"user_987654321\",\n \"timestamp\": 1712345678,\n \"signature\": \"a3f5d9e8b7c6d4e2f1a0b9c8d7e6f5a4\",\n \"password\": \"NewSecureP@ssw0rd!\"\n}") .asString(); ``` ```php request('POST', 'https://api.example.com/api/v1/iam/accounts/reset-password/', [ 'body' => '{ "user_id": "user_987654321", "timestamp": 1712345678, "signature": "a3f5d9e8b7c6d4e2f1a0b9c8d7e6f5a4", "password": "NewSecureP@ssw0rd!" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/iam/accounts/reset-password/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"user_id\": \"user_987654321\",\n \"timestamp\": 1712345678,\n \"signature\": \"a3f5d9e8b7c6d4e2f1a0b9c8d7e6f5a4\",\n \"password\": \"NewSecureP@ssw0rd!\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [ "user_id": "user_987654321", "timestamp": 1712345678, "signature": "a3f5d9e8b7c6d4e2f1a0b9c8d7e6f5a4", "password": "NewSecureP@ssw0rd!" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/iam/accounts/reset-password/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```